import { Layout, Menu } from 'antd';
import { Link, useModel} from 'umi';

import style from './style.less';

const { SubMenu } = Menu;
const { Header, Content, Sider } = Layout;

export default ({ children }) => {
  const { id } = useModel('@@qiankunStateFromMaster') || {};

  global.constants = {id:id}
  // 存储
  sessionStorage.setItem("helloworld-id", id);
  return (
  <Layout className={style.layout}>
    <Sider width={200} className={style.sider}>
      <Menu
        mode="inline"
        defaultSelectedKeys={['dashboard']}
        style={{ height: '100%', borderRight: 0 }}
      >
        <Menu.Item key="dashboard">
          <Link to="/">App2 Dashboard</Link>
        </Menu.Item>
        <Menu.Item key="user">
          <Link to="/user">User</Link>
        </Menu.Item>
      </Menu>
    </Sider>
    <Content
      style={{
        background: '#fff',
        padding: 24,
        margin: 0,
        minHeight: 280,
      }}
    ><div>{id}</div>
    {/*children*/}
    {
      React.Children.map(children, child => {
          return React.cloneElement(child, {"test": id})
      })
    }
    </Content>
  </Layout>
)};
