import { useState } from 'react';
import { HubConnectionBuilder } from "@aspnet/signalr";
import request from '@/utils/request';
import emitter from '@/utils/events';
import { history } from 'umi';


var query = new URLSearchParams(window.location.search);
var jwtDecode = require('jwt-decode');
var ticket = query.get('ticket');
var accessToken = query.get('accessToken');
var refreshToken = query.get('refreshToken');
console.log(accessToken,'queryFirst 1')
console.log(localStorage.getItem('accessToken'),'queryFirst 1 local')
console.log(window.location.host,'locationHost')
console.log(window.location.protocol,'locationProtocol')



request.post("/IoTCenter/api/v1/site/getSite",{
    method: 'POST',
    headers: {
      'Authorization' :  localStorage.getItem('accessToken') !== null ? 'Bearer ' + localStorage.getItem('accessToken') : 'Bearer ' + accessToken
    },
}).then(function (response) {
                   
                  if (response) {
                    localStorage.setItem('titleName',response.name);
                    localStorage.setItem('footName',response.copyright);
                    localStorage.setItem('logo',response.logo);
                    localStorage.setItem('userName',response.realname);
                    localStorage.setItem('ssoHtml',response.sso);
                    localStorage.setItem('organname',response.organname);
                  }
              }).catch(function (error) {
                  console.log(error);
              });

/**
 * CAS
 * 统一认证跳转
 */

 var isCas = true;

if(isCas){

  if (ticket) {
    console.log(ticket,'ticketFirst 2')
      var url = '/IoTCenter/api/v1/Project/CasLogin?ticket=' + ticket + "&home=" + encodeURIComponent(window.location.protocol + "//" + window.location.host + "/");
      setTimeout(function () { window.location.href = url; }, 0);
  }
  else {
    
      var accessToken = query.get('accessToken');
      var refreshToken = query.get('refreshToken');
      console.log(accessToken,'noTicket 3')
    
      if (accessToken && refreshToken) {
          localStorage.setItem('accessToken', accessToken);
          localStorage.setItem('refreshToken', refreshToken);
          console.log(accessToken,'accessToken 4')
         
          // request.post("/IoTCenter/api/v1/site/getSite").then(function (response) {
          //   console.log(response,'reponse 8')
          //   alert('8')
          //     if (response.sso) {
          //         var url = response.sso + '/login?targetService=' + encodeURIComponent(window.location.protocol + "//" + window.location.host);
          //         window.location.href = url;
          //         localStorage.setItem('titleName',response.name);
          //         localStorage.setItem('footName',response.copyright);
          //         localStorage.setItem('logo',response.logo);
          //         localStorage.setItem('userName',response.username);
          //     }
          // }).catch(function (error) {
          //     console.log(error);
          // });
          // store.state.token.accessToken = accessToken;
          // store.state.token.refreshToken = refreshToken;
          
      }
      else {
  
          var isAuthenticated = false;
          if (localStorage.getItem('accessToken')) {
              console.log('hastoken 6');
              var jwt = jwtDecode(localStorage.getItem('accessToken'));
              isAuthenticated = jwt.exp * 1000 >= new Date().getTime();
          }
          if (!isAuthenticated) {
              console.log('Notoken 7')
              localStorage.removeItem('accessToken');
              localStorage.removeItem('refreshToken');   
              // var url = 'http://10.255.253.183/IoTCenter/Home/RedirectTo?url=' + 'http://10.255.253.190' + '/dsssoserver/login?targetService=' + encodeURIComponent(window.location.protocol + "//" + window.location.host);
              // store.state.token.accessToken = null;
              // store.state.token.refreshToken = null;
            request.post("/IoTCenter/api/v1/site/getSite",{
                method: 'POST',
                headers: {
                  'Authorization' : 'Bearer ' + accessToken
                },
            }).then(function (response) {
              console.log('site')
              console.log(JSON.stringify(response))
              // var url = "http://10.255.253.190/dsideal_yy/html/jcy/whwdq/login.html"
              // var url = 'http://10.255.253.190' + '/dsssoserver/login?targetService=' + encodeURIComponent(window.location.protocol + "//" + window.location.host);
              var url = response.sso + '/login?targetService=' + encodeURIComponent(window.location.protocol + "//" + window.location.host + "/");
              window.location.href = url;
              localStorage.setItem('titleName',response.name);
              localStorage.setItem('footName',response.copyright);
              localStorage.setItem('logo',response.logo);
              localStorage.setItem('userName',response.realname);
              localStorage.setItem('ssoHtml',response.sso);
              localStorage.setItem('organname',response.organname);
                  // if (response.sso) {
                  //var url = response.sso + '/login?targetService=' + encodeURIComponent(window.location.protocol + "//" + window.location.host);
                  //     window.location.href = url;
                  //     localStorage.setItem('titleName',response.name);
                  //     localStorage.setItem('footName',response.copyright);
                  //     localStorage.setItem('logo',response.logo);
                  //     localStorage.setItem('userName',response.username);
                  //     localStorage.setItem('ssoHtml',response.sso);
                  // }
              }).catch(function (error) {
                  console.log(error);
              });
              console.log('over gengxinwancheng')
          }
      }
  }
}



// 从接口中获取子应用配置，export 出的 qiankun 变量是一个 promise
export const qiankun = request('/apps.json').then(apps => ({
  // 注册子应用信息
  apps,
  sandbox: true, // 可选，是否开启沙箱，默认为 true (开启沙箱模式子应用将无法与主应用直接通信)
  prefetch: true, //  可选，是否开启预加载，默认为 true
  // 完整生命周期钩子请看 https://qiankun.umijs.org/zh/api/#registermicroapps-apps-lifecycles
  lifeCycles: {
    afterMount: (props: any) => {
      console.log(props);
    },
  },
  // 支持更多的其他配置，详细看这里 https://qiankun.umijs.org/zh/api/#start-opts
}));

export const useQiankunStateForSlave = () => {
  const [globalState, setQiankunGlobalState] = useState({
    slogan: 'Hello MicroFrontend',
  });

  return {
    globalState,
    setQiankunGlobalState,
  };
};

// const connection = new HubConnectionBuilder().withUrl('http://221.194.113.154:8100/IoTCenter/hub?group=page').build(); //唐山
const connection = new HubConnectionBuilder().withUrl('http://10.255.253.183/IoTCenter/hub?group=page').build(); //乌海
// const connection = new HubConnectionBuilder().withUrl('https://iot.edusoa.com//IoTCenter/hub?group=page').build(); //本地

connection.on('Connected', function (id: string) {
  window['connectionId'] = id;
  // console.log('signalR 连接Id:' + connectionId);
});

/**
 * 接收服务端消息
 */
connection.on("ServerToClient", (method: string, message: string, to: string, from: string) => {
  /**
     * 格式化事件字符串
     */
    var event = method.substr(0, 1).toLowerCase() + method.substr(1);
    /**
     * 触发自定义事件message
     * 监听方法：
     * emitter.on('message', function (text) {
     *   alert(text)
     * })
     */
    var model = JSON.parse(message);
    //router.currentRoute.meta.onMessage(event, model, to, from);
    emitter.emit('message', {event: event, model: model, to: to, from: from});
});

connection.start(); // websocket 初始化


