import { LogoutOutlined, SettingOutlined, UserOutlined } from '@ant-design/icons';
import { Avatar, Menu, Spin, Modal } from 'antd';
import { ClickParam } from 'antd/es/menu';
import React from 'react';
import { history, ConnectProps, connect } from 'umi';
import { ConnectState } from '@/models/connect';
import { CurrentUser } from '@/models/user';
import HeaderDropdown from '../HeaderDropdown';
import styles from './index.less';
import request from '@/utils/request';

const { confirm } = Modal;

export interface GlobalHeaderRightProps extends Partial<ConnectProps> {
  currentUser?: CurrentUser;
  menu?: boolean;
}

class AvatarDropdown extends React.Component<GlobalHeaderRightProps> {
  onMenuClick = (event: ClickParam) => {
    const { key } = event;

    if (key === 'logout') {

      let _this = this;
      this.showConfirm(_this);

    }

    // history.push(`/account/${key}`);
  };


  showConfirm = (_this: any) => {
    confirm({
      title: '您确定要退出登录吗?',

      content: '',
      onOk() {
        // let downloadUrl =  window.location.origin + "/base/loginperson/RemoveCookie";
        // window.open(downloadUrl, "_self");
        localStorage.removeItem('accessToken');
        localStorage.removeItem('refreshToken');

        var url = localStorage.getItem('ssoHtml') + '/login?targetService=' + encodeURIComponent(window.location.protocol + "//" + window.location.host + "/");
        // window.location.href = url;

        window.open(url, "_self");
      },
      onCancel() {
        console.log('Cancel');
      },
    });
  }

  render(): React.ReactNode {
    const {


    } = this.props;
    const menuHeaderDropdown = (
      <Menu className={styles.menu} selectedKeys={[]} onClick={this.onMenuClick}>
        {/* {menu && (
          <Menu.Item key="center">
            <UserOutlined />
            个人中心
          </Menu.Item>
        )}
        {menu && (
          <Menu.Item key="settings">
            <SettingOutlined />
            个人设置
          </Menu.Item>
        )} */}
        {/* {menu && <Menu.Divider />} */}

        <Menu.Item key="logout">
          <LogoutOutlined />
          退出登录
        </Menu.Item>
      </Menu>
    );

    return <HeaderDropdown overlay={menuHeaderDropdown}>
      <span className={`${styles.action} ${styles.account}`}>
      <span className={styles.name} style={{ marginRight: '1rem' }}>{localStorage.getItem('organname')}</span>
        <span className={styles.name} style={{ marginRight: '1rem' }}>{localStorage.getItem('userName')}</span>
      </span>
    </HeaderDropdown>


    // return   <span className={styles.name} style={{marginRight:'1rem'}}>{localStorage.getItem('userName')}</span>
    // return currentUser && currentUser.name ? (
    //   <HeaderDropdown overlay={menuHeaderDropdown}>
    //     <span className={`${styles.action} ${styles.account}`}>
    //       <Avatar size="small" className={styles.avatar} src={currentUser.avatar} alt="avatar" />
    //       <span className={styles.name}>{currentUser.name}</span>
    //     </span>
    //   </HeaderDropdown>
    // ) : null
    // (
    //   <span className={`${styles.action} ${styles.account}`}>
    //     <Spin
    //       size="small"
    //       style={{
    //         marginLeft: 8,
    //         marginRight: 8,
    //       }}
    //     />
    //   </span>
    // );
  }
}

export default connect(({ user }: ConnectState) => ({
  currentUser: user.currentUser,
}))(AvatarDropdown);
