import React from 'react';
import {
  G2,
  Chart,
  Geom,
  Axis,
  Tooltip,
  Coord,
  Label,
  Legend,
  View,
  Guide,
  Shape,
  Facet,
  Util,
} from 'bizcharts';

class Basiccolumn extends React.Component {
  render() {
    const data = this.props.data;

    const cols = {
      sales: {
        tickInterval: 20,
      },
    };
    const grid = {
      align: 'center', // 网格顶点从两个刻度中间开始
      type: 'line', // 网格的类型
      lineStyle: {
        stroke: '#4f4f4f', // 网格线的颜色
        lineWidth: 1, // 网格线的宽度复制代码
        lineDash: [1, 3], // 网格线的虚线配置，第一个参数描述虚线的实部占多少像素，第二个参数描述虚线的虚部占多少像素
      }, // 网格线的样式配置，原有属性为 line
    };

    return (
      <div>
        <Chart height={400} data={data} scale={cols} forceFit>
          <Axis name="day" grid={grid} />
          <Axis name="sales" />
          <Tooltip
          // crosshairs用于设置 tooltip 的辅助线或者辅助框
          // crosshairs={{
          //  type: "y"
          // }}
          />

          <Geom type="interval" position="day*sales" />
        </Chart>
      </div>
    );
  }
}

export default Basiccolumn;
