import React from 'react';
import {
  G2,
  Chart,
  Geom,
  Axis,
  Tooltip,
  Coord,
  Label,
  Legend,
  View,
  Guide,
  Shape,
  Facet,
  Util,
} from 'bizcharts';

class Curved extends React.Component {
  render() {
    // const data = [

    //   { month: "2020-11-19 ", temperature: 144, city: "数据量" },
    //    { month: "2020-11-19 ", temperature: 1325, city: "数据量" }
    //   , { month: "2020-11-19 ", temperature: 926, city: "数据量" }
    // ];
    const data = this.props.proList
    const cols = {
      month: {
        range: [0, 1],
      },
    };
    return (
      <div>
        <Chart height={400} data={data} scale={cols} forceFit>
          <Legend />
          <Axis name="month" />
          <Axis
            name="temperature"
            label={{
              formatter: (val) => `${val}${this.props.type}`,
            }}
          />
          <Tooltip
            crosshairs={{
              type: 'y',
            }}
          />
          <Geom type="line" position="month*temperature" size={2} color={'city'} shape={'smooth'} />
          <Geom
            type="point"
            position="month*temperature"
            size={4}
            shape={'circle'}
            color={'city'}
            style={{
              stroke: '#fff',
              lineWidth: 1,
            }}
          />
        </Chart>
      </div>
    );
  }
}

export default Curved;
