import React from 'react';
import { Chart, Geom, Axis, Tooltip, Coord, Legend } from 'bizcharts';
import DataSet from '@antv/data-set';

class Stacked extends React.Component {
  
  render() {
    // console.log(this.props.equState,'this.props.111')  
    // const data = this.props.equState
    let data = this.props.equState?this.props.equState:[]
      // data = this.props.equState
    const ds = new DataSet();
    const dv = ds.createView().source(data);
    dv.transform({
      type: 'fold',
      fields: ['离线', '在线'],
      // 展开字段集
      key: '设备在线情况',
      // key字段
      value: '设备数量',
      // value字段
      retains: ['State'], // 保留字段集，默认为除fields以外的所有字段
    });
    
    return (
      <div>
        <Chart height={454} totle="数量" data={dv} forceFit padding={[20, 30, 70, 100]}>
          <Legend />
          <Coord transpose />
          <Axis name="State" />
          <Axis name="设备数量" />
          <Tooltip />
          <Geom type="intervalStack" position="State*设备数量" color={['设备在线情况',["#c5bfc1", "#1890ff",]]} />
        </Chart>
      </div>
    );
  }
}

export default Stacked;
