import { Card, Statistic, Row, Col } from 'antd';
import { LikeOutlined } from '@ant-design/icons';
// import { FormattedMessage } from 'umi';
// import { RadioChangeEvent } from 'antd/es/radio';
import React from 'react';

import { createFromIconfontCN } from '@ant-design/icons';

// import { VisitDataType } from '../data.d';
// import styles from '../style.less';

const EnvironmentalMonitoring = (props: any) => (
  <Card
    bordered={false}
    title="环境监测"

  >
    {/* <h2>环境监测</h2> */}
    <Row>
      <Col span={12}>
        温度：
        <Statistic
          value={props.tempNew}
          prefix={<img src="/images/temperature.svg" style={{ width: 45 }} />}
          valueStyle={{ paddingLeft: 5, fontSize: 30 }}
          suffix={props.tempUnit}
        />
      </Col>
      <Col span={props.humNew}>
        湿度：
        <Statistic
          value={props.humNew}
          prefix={<img src="/images/humidity.svg" style={{ width: 45 }} />}
          valueStyle={{ paddingLeft: 5, fontSize: 30 }}
          suffix={props.humUnit}
        />
      </Col>
    </Row>
    <br></br>
    <br></br>
    <br></br>
    <Row>
      <Col span={8} style={{marginBottom:27}}>
  <span style={{ fontSize: 23 }}>{props.tempMin}</span>
        <br />
        <span style={{ fontSize: 16, color: '#06dcf3' }}>最低温度</span>
      </Col>
      <Col span={8}>
  <span style={{ fontSize: 23 }}>{props.tempAver}</span>
        <br />
        <span style={{ fontSize: 16, color: '#36cc3f' }}>平均温度</span>
      </Col>
      <Col span={8}>
  <span style={{ fontSize: 23 }}>{props.tempMax}</span>
        <br />
        <span style={{ fontSize: 16, color: '#b30505' }}>最高温度</span>
      </Col>
      <Col span={8}>
        <span style={{ fontSize: 23 }}>{props.humMin}</span>
        <br />
        <span style={{ fontSize: 16, color: '#06dcf3' }}>最小湿度</span>
      </Col>
      <Col span={8} style={{marginBottom:26}}>
        <span style={{ fontSize: 23 }}>{props.humAver}</span>
        <br />
        <span style={{ fontSize: 16, color: '#36cc3f' }}>平均湿度</span>
      </Col>
      <Col span={8}>
        <span style={{ fontSize: 23 }}>{props.humMax}</span>
        <br />
        <span style={{ fontSize: 16, color: '#b30505' }}>最大湿度</span>
      </Col>
    </Row>
  </Card>
);

export default EnvironmentalMonitoring;
