import request from 'umi-request';
import { getPageQuery } from '@/utils/utils';
const queryParams = getPageQuery();
export async function fakeChartData() {
  return request('/api/fake_chart_data');
}

//获取全部设备列表（通过Rest API）
export async function getProductList(number: string) {
  return request('/IoTCenter/api/v1/product/getProducts', {
    method: 'post',
  });
}
//根据节点number获取节点下的所有设备
export async function getProductsInNode(params: Array<string>) {
  // console.log(params,'params')
  return request(`/IoTCenter/api/v1/node/getNode?number=${params.number}`, {
    method: 'post',
  });
}

//根据节点number获取节点下的所有设备
export async function getProductsInfo(params: Array<string>) {
  console.log(params, 'params')
  let time: Array<string> = []

  switch (params.time) {
    case "1d":
      time = ['1d', '1h']
      break;
    case "7d":
      time = ['7d', '1d']
      break;
    case "30d":
      time = ['30d', '1d']
      break;
    default:
      time = ['1d', '1h']
  }


  const sql = `select max(${params.productKey}), mean(${params.productKey}),min(${params.productKey}) from data 
where time>now() - ${time[0]} and DeviceNumber = '${params.number}' group by time(${time[1]}) fill(none) tz('Asia/Shanghai')`
  return request(`/IoTCenter/api/v1/Influx/Query`, {
    method: 'POST',
    data: `q=${btoa(btoa(sql))}&db=${btoa(btoa("iot"))}`,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
    }
  });
}

//获取指定产品（通过Rest API）
export async function getProduct(number: string) {
  return request(`/IoTCenter/api/v1/product/getProduct?number=${number}`, {
    method: 'post',
  });
}

//获取场景
export async function getScenes() {
  return request('/IoTCenter/api/v1/Scene/getScenes', {
    method: 'post',
  });
}

//获取节点
export async function getNodes(params: { schoolId: any; }) {
  if (queryParams.schoolId) {
    return request(`/IoTCenter/api/v1/node/getNodes?organNumber=${queryParams.schoolId}`, {
      method: 'post',
      // data: { organNumber: params.schoolId },
    });
  } else {
    return request(`/IoTCenter/api/v1/node/getNodes`, {
      method: 'post',
      // data: { organNumber: params.schoolId },
    });
  }
}