import { ClusterOutlined, CompassOutlined } from '@ant-design/icons';
import { Col, Row, Statistic } from 'antd';
import { connect, history } from 'umi'
import React from 'react';
import { ChartCard } from './Charts';
// import { VisitDataType } from '../data.d';
// import { useDispatch } from 'dva'

const topColResponsiveProps = {
  xs: 24,
  sm: 12,
  md: 12,
  lg: 12,
  xl: 8,
  style: { marginBottom: 24, cursor: 'pointer' },
};


const IntroduceRow = (props: any) => {
  const { loading, equNum, quaOfflineNum, quaOnlineNum } = props
  return (<Row gutter={24} type="flex">
    <Col {...topColResponsiveProps}>
      <ChartCard bordered={false} contentHeight={55} title="设备数量" onClick={() => {
        history.push(`/dashboard/workplace`)
      }}>
        {/* <h2>设备数量</h2> */}
        <Statistic loading={loading} value={equNum} prefix={<img src="/images/device-sum.svg" style={{ width: 45 }} />} valueStyle={{ fontSize: 30 }} />
      </ChartCard>
    </Col>

    <Col {...topColResponsiveProps}>
      <ChartCard bordered={false} contentHeight={55} title="在线数量" onClick={() => {
        history.push(`/dashboard/workplace`)
      }}>
        {/* <h2>在线数量</h2> */}
        <Statistic loading={loading} value={quaOnlineNum} prefix={<img src="/images/online.svg" style={{ width: 45 }} />} valueStyle={{ fontSize: 30 }} />
      </ChartCard>
    </Col>
    <Col {...topColResponsiveProps}>
      <ChartCard bordered={false} contentHeight={55} title="离线数量" onClick={() => {
        history.push(`/dashboard/workplace`)
      }}>
        {/* <h2 style={{ marginTop: 10 }}>离线数量</h2> */}
        <Statistic loading={loading} value={quaOfflineNum} prefix={<img src="/images/offline.svg" style={{ width: 45 }} />} valueStyle={{ fontSize: 30 }} />
      </ChartCard>
    </Col>
  </Row>
  )
};

export default connect(() => { })(IntroduceRow);

// export default IntroduceRow;
