import { Card, Button, Row, Col, List, } from 'antd';
import Meta from 'antd/es/card/Meta';
// import { FormattedMessage } from 'umi';
// import { RadioChangeEvent } from 'antd/es/radio';
import React from 'react';
// import { VisitDataType } from '../data.d';
import styleCom from './style.less';

const SchollEqus = (props: any) => {
  const {schoolList} = props;
    return (
        <Card
            title="设备分布情况"
            bordered={false}
            style={{
                height: '625px'
            }}
        >
            <div>
                <div style={{ width: "100%", display: "flex", justifyContent: "center", marginBottom: '2rem' }}>
                    <div style={{
                        display: "inline-block", marginRight: '2rem',
                        background: '#99CCFF',
                        height: '4rem',
                        padding: '1rem',
                        textAlign: 'center',
                        paddingTop: '0.8rem',
                        color: '#333',
                        borderRadius: '6px',
                    }}>
                        <div><span style={{ fontWeight: 'bolder' }}>{props.schoolList ? props.schoolList.length : ' - ' }</span>所</div>
                        <div>学校数量</div>
                    </div>

                    <div style={{
                        display: "inline-block", marginRight: '2rem', borderRadius: '6px',
                        background: '#99CCFF',
                        height: '4rem',
                        padding: '1rem',
                        textAlign: 'center',
                        paddingTop: '0.8rem',
                        color: '#333',
                    }}>
                        <div><span style={{ fontWeight: 'bolder' }}>{props.classNums}</span>间</div>
                        <div>教室数量</div>
                    </div>

                    <div style={{
                        display: "inline-block", marginRight: '2rem', borderRadius: '6px',
                        background: '#99CCFF',
                        height: '4rem',
                        padding: '1rem',
                        textAlign: 'center',
                        paddingTop: '0.8rem',
                        color: '#333',
                    }}>
                        <div><span style={{ fontWeight: 'bolder' }}>{props.equNum}</span>个</div>
                        <div>设备数量</div>
                    </div>

                </div>

                <div style={{height: '440px', overflowY: 'scroll'}}>
                   <List
                   style={{margin:'10px'}}
                    grid={{
                      gutter: 16,
                      xs: 1,
                      sm: 2,
                      md: 3,
                      lg: 3,
                      xl: 4,
                      xxl: 4,
                    }}
                    dataSource={schoolList}
                    renderItem={item => (
                      <List.Item>
                        <Card
                          hoverable
                          /* cover={<img onerror="this.src='school.png'" alt={item.number} src='school.png' style={{padding:'5px'}} />} */
                        >
                          <Meta style={{margin:'5px',padding:0}} title={item.name} description={<Row><Col span={8}>设备:{props.equNum}</Col><Col span={8}>在线:{props.quaOnlineNum}</Col><Col span={8}>离线:{props.quaOfflineNum}</Col></Row>} />
                          <Button href={'?schoolId=' + item.number + '&#/dashboard/schoolMain/'} target='_blank' block>点击进入</Button>
                        </Card>
                      </List.Item>
                    )}
                  />
                </div>

            </div>
        </Card>
    )
}



export default SchollEqus;
