import { Card, Radio } from 'antd';

import React, { useState, useEffect } from 'react';
import Curved from '../components/Charts/Curved';
import styles from '../style.less';
import { connect } from 'dva';


const StatePropTion = (props) => {
  const [data, setData] = useState([])
  const [nowTime, setNowTime] = useState("1d")

  console.log(props, 'props..')

  useEffect(() => {

    getProductsInfo("1d")

  }, []);
  const getProductsInfo = (time: string) => {
    console.log(props)
    const { dispatch } = props;
    dispatch({
      type: 'dashboardAndmain/getDataVolume',
      payload: {
        time: time
      },
      callback: (response: { month: string; city: string; temperature: any; }[]) => {
        setData(response)
      }
    })
  }
  const optionsWithDisabled = [
    { label: '24小时', value: '1d' },
    { label: '近7天', value: '7d' },
    { label: '近30天', value: '30d' },
  ];
  // 修改时间
  const nowTimeonChange = (e: any) => {
    console.log('radio4 checked', e.target.value);

    getProductsInfo(e.target.value)
    setNowTime(e.target.value)

  };

  return (
    <Card
      className={styles.salesCard}
      bordered={false}
      title="数据采集量"
      style={{
      }}
    >
      <div>
        <Radio.Group
          options={optionsWithDisabled}
          onChange={nowTimeonChange}
          value={nowTime}

          optionType="button"
          buttonStyle="solid"
        />
        <Curved proList={data} type="条" />
      </div>
    </Card>
  )
};

// export default StatePropTion;


export default connect(
  ({
    dashboardAndmain,
    loading,
  }: {
    dashboardAndmain: ModelType;
    loading: {
      models: { [key: string]: boolean };
    };
  }) => ({
    dashboardAndmain,
    loading: loading.models.dashboardAndmain,
  }),
)(StatePropTion);
