import request from 'umi-request';
import { getPageQuery } from '@/utils/utils';
const queryParams = getPageQuery();


export async function fakeChartData() {
  return request('/api/fake_chart_data');
}

//获取全部设备列表（通过Rest API）
export async function getProductList() {

  if (queryParams.schoolId) {

    return request(`/IoTCenter/api/v1/product/getProducts?organNumber=${queryParams.schoolId}`, {
      method: 'post',
    });
  } else {

    return request(`/IoTCenter/api/v1/product/getProducts`, {
      method: 'post',
    });
  }
}




//获取指定产品（通过Rest API）
export async function getProduct(number: string) {

  if (queryParams) {
    return request(`/IoTCenter/api/v1/product/getProduct?number=${number}&getProducts?organNumber=${queryParams.schoolId}`, {
      method: 'post',
    });
  } else {
    return request(`/IoTCenter/api/v1/product/getProduct?number=${number}`, {
      method: 'post',
    });
  }
}
//获取产品状态
export async function GetSummary(schoolId) {
  return request(`/IoTCenter/api/v1/product/GetSummary?organNumber=${schoolId.schoolId}`, {
    method: 'post',
  });
}

//获取场景
export async function getScenes() {
  return request('/IoTCenter/api/v1/Scene/getScenes', {
    method: 'post',
  });
}

//获取节点
export async function getNodes() {
  return request('/IoTCenter/api/v1/node/getNodes', {
    method: 'post',
  });
}

//获取全部学校列表
export async function getSchoolList(number: string) {
  return request('/IoTCenter/admin/Organ/Index?pageIndex=1&pageSize=20&', {
    method: 'get',
  });
}


//获取采集量
export async function getDataVolume(params: Array<string>) {
  console.log(params, 'params')
  let time: Array<string> = []

  switch (params.time) {
    case "1d":
      time = ['1d', '1h']
      break;
    case "7d":
      time = ['7d', '1d']
      break;
    case "30d":
      time = ['30d', '1d']
      break;
    default:
      time = ['1d', '1h']
  }


  // const sql = `select max(${params.productKey}), mean(${params.productKey}),min(${params.productKey}) from data where time>now() - ${time[0]} and DeviceNumber = '${params.number}' group by time(${time[1]}) fill(none) tz('Asia/Shanghai')`
  const sql = `select count(DeviceNumber) from data where time>now() - ${time[0]} group by time(${time[1]}) fill(none) tz('Asia/Shanghai')`
  return request(`/IoTCenter/api/v1/Influx/Query`, {
    method: 'POST',
    data: `q=${btoa(btoa(sql))}&db=${btoa(btoa("iot"))}`,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
    }
  });
}
