// import request from 'umi-request';
import request from '@/utils/request';
import { getPageQuery } from '@/utils/utils';
const queryParams = getPageQuery();



export async function queryTags() {
  return request('/api/tags');
}


//获取教室列表（通过Rest API）
export async function getClassList() {
  if (queryParams.schoolId) {
    return request(`/IoTCenter/api/v1/node/getNodes?organNumber=${queryParams.schoolId}`, {
      method: 'post',
      // data: { organNumber: params.schoolId },
    });
  } else {
    return request(`/IoTCenter/api/v1/node/getNodes`, {
      method: 'post',
      // data: { organNumber: params.schoolId },
    });
  }
}

//获取所有教师温度和湿度（通过Rest API）
export async function getTemList() {
  return request('/IoTCenter/api/v1/product/getProduct?number=fbee:0302:01', {
    method: 'post',
  });
}

//获取光照Rest API）
export async function getLuxList() {
  return request('/IoTCenter/api/v1/product/getProduct?number=fbee:0106:01', {
    method: 'post',
  });
}

// 单个教室设备信息
export async function getClassInfo(params: { [key: string]: string }) {
  return request(`/IoTCenter/api/v1/node/getNode?number=${params.number}`, {
    method: 'post',
  });
}

//开关设备方法
export async function execApi(params: { [key: string]: string }) {
  console.log('params', params);
  return request(`/IoTCenter/api/v1/api/execApi`, {
    method: 'post',
    data: params,
  });
}

//场景操作方法
export async function execScene(id: string) {
  return request(`/IoTCenter/api/v1/api/execScene`, {
    method: 'post',
    data: id
  });
}

//批量全部开
export async function powerOn(id: string) {
  return request(`/IoTCenter/api/v1/node/powerOn`, {
    method: 'post',
    data: id
  });
}

//批量全部关
export async function powerOff(id: string) {
  return request(`/IoTCenter/api/v1/node/powerOff`, {
    method: 'post',
    data: id
  });
}