import React, { useRef, useState, useEffect } from 'react';
import ProTable, { ProColumns } from '@ant-design/pro-table';
import { FormInstance } from 'antd/lib/form';
import { Dispatch, Action } from 'redux';
import { connect } from 'dva';
import { ModalState } from '../model';
import { getProductInfoGateway } from '../service'


const columns: ProColumns[] = [
  {
    title: '设备名称',
    dataIndex: 'name',
  },
  {
    title: '所属教室',
    dataIndex: 'className',
  },
  {
    title: '在线状态',
    dataIndex: 'status',
    render: (text) => [
      <span>{text === true ? '在线' : '离线'}</span>
    ],
    hideInSearch: true
  },
  {
    title: '版本',
    dataIndex: 'version',
    hideInSearch: true
  },
];

const GateWayTable = (props: any) => {
  const [collapsed, setCollapsed] = useState(false);
  const [data, setData] = useState([])




  useEffect(() => {
    const { dispatch } = props;
    dispatch({
      type: 'dashboardAndworkplace/getProductInfoGateway',
      callback: (response: any) => {
        setData(response)
        console.log(response, 'test111111')
      },
    })
  }, []);
  const ref = useRef<FormInstance>();

  return (
    <ProTable
      columns={columns}
      request={async (params: any = { page: 1, limit: 100 }) => {
        // console.log('sorter', 'sorter');
        console.log('params1', params);

        const xhr = await getProductInfoGateway();
        console.log(xhr, 'xhr111111')
        // 设置分页
        // setPagination({ ...params, total: xhr.total, });
        // return {
        //   data: xhr.data,
        //   page: params.current,
        //   success: true,
        //   total: xhr.total
        // }

        let newAry: any = [];
        xhr.devices.map((item: any) => {
          newAry.push({
            key: item.id,
            name: item.displayName,
            className: item.node != null ? item.node.name : "",
            status: item.isOnline,
            version: item.data[1].value,
            number: item.number,
          })
        })
        console.log('xhr111111')
        return {
          data: newAry,
          page: params.current,
          // success: true,
          // total: xhr.total
        }

      }}
      rowKey="key"
      pagination={{
        showSizeChanger: true,
      }}
      search={{
        collapsed,
        onCollapse: setCollapsed,
      }}
      formRef={ref}
      options={false}
      dateFormatter="string"
      headerTitle="FBee网关"
    />
  );
};

export default connect(
  ({
    dashboardAndworkplace,
    loading,
  }: {
    dashboardAndworkplace: ModalState;
    loading: {
      models: { [key: string]: boolean };
    };
  }) => ({
    dashboardAndworkplace,
    loading: loading.models.dashboardAndworkplace,
  }),
)(GateWayTable);