import { Modal, Button, Form, Input } from 'antd';
import React, { useRef, useState, useEffect } from 'react';
import ProTable, { ProColumns } from '@ant-design/pro-table';
import { FormInstance } from 'antd/lib/form';
import { Dispatch, Action } from 'redux';
import { connect } from 'dva';
import { ModalState } from '../model';
import { PoweroffOutlined } from '@ant-design/icons';
import { useForm } from 'antd/es/form/Form';




const LockTable = (props: any) => {
  const ref = useRef<FormInstance>();
  const [collapsed, setCollapsed] = useState(false);
  const [modeVisable, setmodeVisable] = useState(false)
  const [lockInfo, setLockInfo] = useState({})
  const [passwordValue, setPasswordValue] = useState('')
  const [form] = Form.useForm();
  const [datatable, setDatatable] = useState([])
  const columns: ProColumns[] = [
    {
      title: '设备名称',
      dataIndex: 'name',
    },
    {
      title: '所属教室',
      dataIndex: 'className',
    },
    {
      title: '设备状态',
      dataIndex: 'severStatus',
      hideInSearch: true,
    },
    {
      title: '在线状态',
      hideInSearch: true,
      dataIndex: 'status',
      render: (text) => [<span>{text === true ? '在线' : '离线'}</span>],
    },
    {
      title: '操作',
      hideInSearch: true,
      dataIndex: 'severStatus',
      render: (text, record) => {
        if (record.status === true) {
          return <PoweroffOutlined style={{ color: text == '开' ? '#00DB00' : '#FF0000', fontSize: '1.2rem', cursor: 'pointer' }}
            onClick={() => modelOpen(record)} title={text == '开' ? '关' : '开'} />
        } else {
          return '--'
        }



      }
    },
  ];




  const modelOpen = (data: any) => {
    setmodeVisable(true)
    setLockInfo(data)
    console.log(data, 'dataaaaaaa')

  }

  const handlePassword = (e: React.ChangeEvent<HTMLInputElement>) => {
    setPasswordValue(e.target.value)
    // console.log(e.target.value, 'dataaaaaaa e')

  }

  const handleOk = async () => {
    const { validateFields, getFieldsValue, setFields } = form;
    const values = await validateFields();
    const { dispatch } = props;

    dispatch({
      type: 'dashboardAndworkplace/exec',
      payload: {
        connectionId: window['connectionId'], number: lockInfo.number, method: lockInfo.status == '开' ? '/Door/Close' : '/Door/Open', query: "password=" + passwordValue
      }
    });


    form.resetFields(); //调用form方法
    setmodeVisable(false)

  }

  useEffect(() => {
    const { dispatch } = props;
    dispatch({
      type: 'dashboardAndworkplace/getProductInfoLock',
      callback: (response: any) => {
        setDatatable(response)
        console.log(response, 'test111111')
      },
    })
  }, [props.rand]);

  console.log(datatable, '11111222')
  return (
    <>
      <ProTable

        columns={columns}
        request={(params = {}) =>
          Promise.resolve({
            data: datatable?.filter((item) => {

              if ((params.name === undefined || params.name == "") && (params.className === undefined || params.className == "")) {
                return true;
              }

              if (item.name.includes(params.name)) {
                if (params.className === undefined || params.className == "") {
                  return true
                } else if (item.className.includes(params.className)) {
                  return true
                }

              } else if (item.className.includes(params.className)) {
                if (params.name === undefined || params.name == "") {
                  return true
                } else if (item.name.includes(params.name)) {
                  return true
                }
              }

            }),
            success: true,
          })
        }
        rowKey="key"
        pagination={{
          showSizeChanger: true,
        }}
        search={{
          collapsed,
          onCollapse: setCollapsed,
        }}
        formRef={ref}
        options={false}
        dateFormatter="string"
        headerTitle="门锁"
      />

      <Modal
        title="请输入门锁密码"
        visible={modeVisable}
        onOk={handleOk}
        onCancel={() => { setmodeVisable(false) }}
      >
        <Form form={form} layout="vertical" name="userForm">

          <Form.Item name="password">
            <Input.Password placeholder="input password" name="password" onChange={(e) => { handlePassword(e) }} />
          </Form.Item>
        </Form>
      </Modal>
    </>
  );
};

export default connect(
  ({
    dashboardAndworkplace,
    loading,
  }: {
    dashboardAndworkplace: ModalState;
    loading: {
      models: { [key: string]: boolean };
    };
  }) => ({
    dashboardAndworkplace,
    loading: loading.models.dashboardAndworkplace,
  }),
)(LockTable);