import React, { useRef, useState, useEffect } from 'react';
import ProTable, { ProColumns } from '@ant-design/pro-table';
import { FormInstance } from 'antd/lib/form';
import { Dispatch, Action } from 'redux';
import { connect } from 'dva';
import { ModalState } from '../model';
import { PoweroffOutlined } from '@ant-design/icons';
import request from '@/utils/request';


const ThreeSwitchTable = (props: any) => {



  const columns: ProColumns[] = [
    {
      title: '设备名称',
      dataIndex: 'name',
    },
    {
      title: '所属教室',
      dataIndex: 'className',
    },
    {
      title: '在线状态',
      hideInSearch: true,
      dataIndex: 'isOnline',
      render: (text) => [<span>{text === true ? '在线' : '离线'}</span>],
    },
    {
      title: '设备状态',
      dataIndex: 'status',
      hideInSearch: true,
    },
    {
      title: '操作',
      hideInSearch: true,
      dataIndex: 'status',
      render: (text, record) => {
        if (record.isOnline === true) {
          return [<PoweroffOutlined style={{ color: record.status1 === '开' ? '#00DB00' : '#FF0000', fontSize: '1.2rem', cursor: 'pointer', marginRight: '0.5rem' }}
            onClick={() => onOutOper(record, 1)} title={record.status1 === '开' ? '关' : '开'}
          />,
          <PoweroffOutlined style={{ color: record.status2 === '开' ? '#00DB00' : '#FF0000', fontSize: '1.2rem', cursor: 'pointer', marginRight: '0.5rem' }}
            onClick={() => onOutOper(record, 2)} title={record.status2 === '开' ? '关' : '开'}
          />,
          <PoweroffOutlined style={{ color: record.status3 === '开' ? '#00DB00' : '#FF0000', fontSize: '1.2rem', cursor: 'pointer', marginRight: '0.5rem' }}
            onClick={() => onOutOper(record, 3)} title={record.status3 === '开' ? '关' : '开'}
          />
          ]
        } else {
          return '--'
        }
      }
    },
  ];

  const onOutOper = (data: any, type: any) => {

    // request.post("/IoTCenter/api/v1/api/execApi",{
    //   method: 'POST',
    //   headers: {
    //     'Authorization' : 'Bearer ' + localStorage.getItem('accessToken') 
    //   },
    //   data: {connectionId: window['connectionId'], number:data.number, method:data.status == '开' ? `/Switch3/L${type}Off` : `/Switch3/L${type}On`}
    //   }).then(function (response) {

    //             }).catch(function (error) {

    //             });

    const { dispatch } = props;

    dispatch({
      type: 'dashboardAndworkplace/exec',
      payload: { connectionId: window['connectionId'], number: data.number, method: data.status == '开' ? `/Switch3/L${type}Off` : `/Switch3/L${type}On` }
    });
  }


  useEffect(() => {

    const { dispatch } = props;

    dispatch({
      type: 'dashboardAndworkplace/getProductInfoThreeSwitch',
    })

  }, []);

  const ref = useRef<FormInstance>();
  const [collapsed, setCollapsed] = useState(false);
  return (
    <ProTable
      columns={columns}
      // request={(params) =>{}) =>
      //   
      //   Promise.resolve({
      //     data: props.dashboardAndworkplace.productThreeSwitch,
      //     success: true,
      //   })
      // }

      request={(params = {}) =>
        Promise.resolve({
          data: props.dashboardAndworkplace.productThreeSwitch?.filter((item) => {

            if ((params.name === undefined || params.name == "") && (params.className === undefined || params.className == "")) {
              return true;
            }

            if (item.name.includes(params.name)) {
              if (params.className === undefined || params.className == "") {
                return true
              } else if (item.className.includes(params.className)) {
                return true
              }

            } else if (item.className.includes(params.className)) {
              if (params.name === undefined || params.name == "") {
                return true
              } else if (item.name.includes(params.name)) {
                return true
              }
            }

          }),
          success: true,
        })
      }
      rowKey="key"
      pagination={{
        showSizeChanger: true,
      }}
      search={{
        collapsed,
        onCollapse: setCollapsed,
      }}
      formRef={ref}
      options={false}
      dateFormatter="string"
      headerTitle="三路开关"
    />
  );
};

export default connect(
  ({
    dashboardAndworkplace,
    loading,
  }: {
    dashboardAndworkplace: ModalState;
    loading: {
      models: { [key: string]: boolean };
    };
  }) => ({
    dashboardAndworkplace,
    loading: loading.models.dashboardAndworkplace,
  }),
)(ThreeSwitchTable);