import request from 'umi-request';
import { getPageQuery } from '@/utils/utils';
const queryParams = getPageQuery();
let schoolID = ""
queryParams.schoolId ? schoolID = `&organNumber=${queryParams.schoolId}` : schoolID = "";


export async function queryProjectNotice() {
  return request('/api/project/notice');
}

export async function queryActivities() {
  return request('/api/activities');
}

export async function fakeChartData() {
  return request('/api/fake_chart_data');
}

export async function queryCurrent() {
  return request('/api/currentUser');
}


//获取全部设备列表（通过Rest API）
export async function getProductList() {

  if (queryParams.schoolId) {

    return request(`/IoTCenter/api/v1/product/getProducts?organNumber=${queryParams.schoolId}`, {
      method: 'post',
    });
  } else {

    return request(`/IoTCenter/api/v1/product/getProducts`, {
      method: 'post',
    });
  }
}

// 单个设备信息(网关)
export async function getProductInfoGateway() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:gateway${schoolID}`, {
    method: 'post',
  });
}


// 单个设备信息(一路开关)
export async function getProductInfoOneSwitch() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:0002:01${schoolID}`, {
    method: 'post',
  });
}

// 单个设备信息(三路开关)
export async function getProductInfoThreeSwitch() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:0002:03${schoolID}`, {
    method: 'post',
  });
}

// 单个设备信息(人体感应器)
export async function getProductInfoSensorBody() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:0402:0d${schoolID}`, {
    method: 'post',
  });
}

// 单个设备信息(光强检测器)
export async function getProductInfoLight() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:0106:01${schoolID}`, {
    method: 'post',
  });
}

// 单个设备信息(插座)
export async function getProductInfoSocket() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:0009:01${schoolID}`, {
    method: 'post',
  });
}


// 单个设备信息(智能插座)
export async function getProductInfoSuperSocket() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:0051:01${schoolID}`, {
    method: 'post',
  });
}

// 单个设备信息(温湿度传感器)
export async function getProductInfoTemperature() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:0302:01${schoolID}`, {
    method: 'post',
  });
}

// 单个设备信息(门锁)
export async function getProductInfoLock() {
  return request(`/IoTCenter/api/v1/product/getProduct?number=fbee:000a:01${schoolID}`, {
    method: 'post',
  });
}

// 设备信息(全部)
export async function getProductAllInfo(params: any) {

  console.log(queryParams.schoolId, 'queryParams.schoolId')
  if (queryParams.schoolId) {

    return request(`/IoTCenter/admin/Device/Index?pageIndex=${params.pageIndex}&pageSize=20&query.organNumber=${queryParams.schoolId}`, {
      method: 'get',
    });
  } else {

    return request(`/IoTCenter/admin/Device/Index?pageIndex=${params.pageIndex}&pageSize=20&`, {
      method: 'get',
    });
  }








}

//开关设备方法
export async function execApi(params: { [key: string]: string }) {
  console.log('params', params);
  return request(`/IoTCenter/api/v1/api/execApi`, {
    method: 'post',
    data: params,
  });
}